Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class WebResult

    java.lang.Object
      org.pentaho.di.www.WebResult

    public class WebResult

extends Object

Field Summary
`static WebResult` | `OK`
`static String` | `STRING_ERROR`
`static String` | `STRING_OK`
`static String` | `XML_TAG`

Constructor Summary
`WebResult(Node webResultNode)`
`WebResult(String result)`
`WebResult(String result, String message)`

Method Summary
`static WebResult` | `fromXMLString(String xml)`
`String` | `getMessage()`
`String` | `getResult()`
`String` | `getXML()`
`void` | `setMessage(String message)`
`void` | `setResult(String result)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

### STRING_OK

    public static final String STRING_OK

See Also:
  Constant Field Values

### STRING_ERROR

    public static final String STRING_ERROR

See Also:
  Constant Field Values

### OK

    public static final WebResult OK

Constructor Detail

### WebResult

    public WebResult(String result)

### WebResult

    public WebResult(String result,
                     String message)

### WebResult

    public WebResult(Node webResultNode)

Method Detail

### getXML

    public String getXML()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getResult

    public String getResult()

### setResult

    public void setResult(String result)

### getMessage

    public String getMessage()

### setMessage

    public void setMessage(String message)

### fromXMLString

    public static WebResult fromXMLString(String xml)
                                   throws org.pentaho.di.core.exception.KettleXMLException

  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD